%define	version	1.6.1
%define release	1mdk

# share machine usage information across multiple PCs
%define enable_distrib 1
%{?_without_distrib: %define enable_distrib 0}

# support of docking in GNOME panel. Not very useful since
# it can already embed in notification area.
%define enable_gnome 0
%{?_with_gnome: %define enable_gnome 1}

# save config as XML file. GConf is preferred for GNOME desktop
%define enable_xml 0
%{?_with_xml: %define enable_xml 1}

%define longtitle Assists in recovery and prevention of Repetitive Strain Injury (RSI)

Summary:	%{longtitle}
Name:		workrave
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Accessibility
URL:		http://www.workrave.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

# tar.gz at ftp://ftp.sourceforge.net/pub/sourceforge/workrave/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-48.png
# (Abel) 1.4.1-1mdk  Add missing include file
#Patch0:	%{name}-1.4.1-eventbox.patch.bz2

BuildRequires:	doxygen
BuildRequires:	gtkmm2.0-devel
BuildRequires:	libGConf2-devel
%if %enable_xml
BuildRequires:	gdome2-devel
%endif
%if %enable_distrib
BuildRequires:	libgnet2-devel
%endif
%if %enable_gnome
BuildRequires:	libgnomeuimm2.0-devel
BuildRequires:	gnome-panel-devel
%endif

%description
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

Build Options:
--without distrib   Disable shared machine usage information
                    across multiple PCs
--with xml          Store configuration as XML file
--with gnome        Support docking in GNOME panel (it docks in
                    notification area by default)

%if %enable_gnome
%package	applet
Summary:	Workrave GNOME applet
Group:		Accessibility
Requires:	%{name} = %{version}-%{release}

%description	applet
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

The program can be run distributed on one or more PCs. All connected
PCs share the same timing information. When you switch computers, you
will still be asked to pause on time.

This package contains applet specific for GNOME desktop environment.
It is not necessary for basic functionality, but %{name} can cooperate
more with GNOME environment, such as embedding in GNOME panel.
%endif

%prep
%setup -q
#%patch0 -p1 -b .eventbox

%build
%configure2_5x \
	--enable-app-text=no	\
	--enable-exercises=yes	\
	--enable-gconf=yes	\
	--enable-xml=%{?_with_xml:"yes"}%{!?_with_xml:"no"}	\
	--enable-distribution=%{?_without_distrib:"no"}%{!?_without_distrib:"yes"}	\
	--enable-gnome=%{?_with_gnome:"yes"}%{!?_with_gnome:"no"}

%make


%install
rm -rf %{buildroot}
%{makeinstall_std}

# menu & icon
install -m0644 -D %{SOURCE1} %{buildroot}%{_liconsdir}/%{name}.png
install -m0644 -D frontend/common/share/images/workrave-icon-large.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 -D frontend/common/share/images/workrave-icon-small.png %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 title="Workrave" \
 longtitle="%{longtitle}" \
 icon="%{name}.png" \
 needs="x11" \
 section="Applications/Accessibility"
_EOF_

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%if %enable_gnome
%files applet
%defattr(-,root,root)
%doc COPYING
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/workrave-applet
%{_datadir}/gnome-2.0/ui/*.xml
%endif


%changelog
* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.1-1mdk
- 1.6.1
- drop P0

* Sun Nov 16 2003 Abel Cheung <deaddog@deaddog.org> 1.4.1-2mdk
- Rebuild

* Fri Nov 07 2003 Abel Cheung <deaddog@deaddog.org> 1.4.1-1mdk
- 1.4.1
- Patch0: Add missing include, to fix compilation against newest gtkmm

* Tue Aug 26 2003 Abel Cheung <deaddog@deaddog.org> 1.4.0-1mdk
- 1.4.0
- Incorporate elements from original spec
- Add optional build switches
- Make better antialiased 48x48 icon, use official 32/16 icons

* Sun Jun 29 2003 Ronald Koster (ronald@dse.nl) 1.1.2-1mdk
- First release as a mandrake rpm.
